#include "storaxx.h"

void main(void)
{
   HMEM handle;
   unsigned char i;
   unsigned char mem[16];

   xinit();

   handle = xalloc(15);

   for(i=1;i<16;i++) mem[i-1] = i;
   xunlink(handle,mem,0,15);

   memset(mem,0,15);

   xlink(handle,mem,0,15);
   for(i=0;i<15;i++) printf("%d ",mem[i]);
   printf("\n");

   xfree(handle);

   xshutdown();   
};

